msymbol_put(3m17n)

NAME
msymbol_put - Set the value of a symbol property.

SYNOPSIS
int msymbol_put (MSymbol symbol, MSymbol key, void * val)

DESCRIPTION
Set the value of a symbol property.

The msymbol_put() function assigns val to the value of the symbol property that belongs to symbol and whose key is key. If the symbol property already has a value, val overwrites the old one. Both symbol and key must not be Mnil.

If key is a managing key, val must be a managed object. In this case, the reference count of the old value, if not NULL, is decremented by one, and that of val is incremented by one.

RETURN VALUE

    If the operation was successful, msymbol_put() returns 0. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_SYMBOL

SEE ALSO

    msymbol_get()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.